Skip to main content

Questions tagged [magento-upgrade]

Denotes a question related to Magento upgrade process

Filter by
Sorted by
Tagged with
11 votes
4 answers
6k views

Magento 2.2.X > 2.3.0 upgrade issues

Today magento 2.3.0 was officially released. I tried to upgrade from 2.2.6 > 2.3.0 but failed. Tried to upgrade from 2.2.6 > 2.2.7 and it succeeded with no issues. tried again 2.2.7 > 2.3.0 and got ...
Borde91's user avatar
  • 350
2 votes
2 answers
509 views

Possible of error : Magento 2.0.4 to 2.1.0 Upgrade Check Component Dependency Error

From magento 2.0.4 to 2.1.0 Component Dependency Error, how can i solve below error,
zus's user avatar
  • 175
6 votes
4 answers
7k views

Magento 2.2.4 Upgrade issue : Area is already set

I have upgraded to version 2.2.4 from 2.2.3 now I'm getting error when try to save theme seting
Ketan Borada's user avatar
  • 2,633
2 votes
2 answers
13k views

Magento 2 :- Magento upgrade error 2.4.4 in php 8.1

When i run this command i got error php bin/magento maintenance:enable PHP Deprecated: Return type of phpseclib_mcrypt_filter::filter($in, $out, &$consumed, $closing) should either be ...
Chirag Chikhaliya's user avatar
0 votes
1 answer
128 views

Magento 2 - 2.1 to 2.3 update

How can I do a version update of my Magento 2.1 version to Magento 2.3?
Prasad D. Warnakulasuriya's user avatar
0 votes
1 answer
1k views

update 2.3.4 > 2.4.x, composer update: composer-root-update-plugin, it could not be found in any version

Hi i am try to update magento from 2.3.4 to 2.4.x. I am followed those guides: https://www.codextblog.com/magento-2/upgrade-magento-version-2-3-x-2-4-0/ https://www.mgt-commerce.com/tutorial/how-to-...
Hector Solutions's user avatar
20 votes
6 answers
22k views

Magento 2.2.0 Invalid Document Element 'resource': The attribute 'title' is required but missing

I am trying to upgrade a website from Magento 2.1.8 to 2.2.0 I have configured composer for 2.2.0 and also updated it with command line. Now when I run magento setup:upgrade its halt on running ...
Yogesh Trivedi's user avatar
8 votes
7 answers
8k views

Static content deploy error after upgrading magento 2.4.3-p1 to 2.4.4

php ver 8.1 Error happened during deploy process: Deprecated Functionality: pathinfo(): Passing null to parameter #1 ($path) of type string is deprecated in /vendor/magento/framework/View/Asset/...
Savan Patel's user avatar
  • 2,366
6 votes
6 answers
19k views

Magento 2.4.0 ElasticSearch not alive

When performing the setup:upgrade I get this error : "Could not validate a connection to Elasticsearch. No alive nodes found in your cluster" I have not enabled It previously, updating from ...
V. Long's user avatar
  • 131
3 votes
3 answers
7k views

PHP Fatal error: Cannot redeclare __() (previously declared in /vendor/magento/framework/Phrase/__.php:15) in /app/functions.php on line 23

Hello I am facing the issue after upgrade from 2.2.6 to 2.3.0 Can you suggest what is needed to be modified? file __.php : <?php declare(strict_types=1); function __() { $argc = ...
Arnaldo Serrano's user avatar
3 votes
1 answer
6k views

How to upgrade Magento from 2.4.1 to 2.4.6

I'm actually on Magento CE version 2.4.1 I need to update it to 2.4.6 (latest version) I'm in live (I don't have a staging enviroment) Is there someone who can guide me step to step in upgrading? ...
Marcello D'Ambrosio's user avatar
2 votes
1 answer
2k views

Upgrade to Magento 2.2.6 to Magento 2.3.1 Init vector must be a string of 32 bytes

I have upgrade magneto 2.2.6 to magento 2.3.1 and found "Unable to unserialize value. Error: Syntax error" error during run the php bin/magneto command in terminal And browser gets Thanks in ...
Amit Maurya's user avatar
  • 2,871
2 votes
2 answers
712 views

scconnector_google_feed_cl error after product save (just upgraded to 2.3.5-p2)

I just upgraded Magento to 2.3.5-p2, now I'm getting the following error after saving products: SQLSTATE[42S02]: Base table or view not found: 1146 Table 'mg2.mg_scconnector_google_feed_cl' doesn't ...
tomr's user avatar
  • 23
2 votes
1 answer
2k views

Fatal error: Uncaught Error: Call to a member function getSectionNames() after upgrading to 2.3.4

We've faced this issue when we've upgraded Magento Commerce 2.3.2 to 2.3.4. Error was like: Fatal error: Uncaught Error: Call to a member function getSectionNames() on /vendor/magento/module-...
mapetek's user avatar
  • 397
2 votes
3 answers
653 views

How to upgrade magento 2.3.1 CE to 2.3.3 CE?

I have magento 2.3.1 CE. I want to upgrade 2.3.1 to 2.3.3 CE with commands only. Does anyone know how to upgrade it with commands ? Thanks in advance.
Chirag Parmar's user avatar
2 votes
3 answers
405 views

How to upgrade magento ver 2.3.1 to 2.3.3

I'm in live, need to upgrade Magento 2.3.1 to 2.3.3. Please let me know, how to upgrade this version without any disturbance of my website.
Priya's user avatar
  • 589
1 vote
2 answers
12k views

Uncaught ReferenceError: Unable to process binding "if: function(){return isExcludingDisplayed() }" After Magento 2.3.4 Upgrade Checkout Cart Page

Hi @all, actually after upgrading from Magento 2.2.4 to Magento 2.3.4 below error is showing on checkout cart page. After reaching to checkout cart page Ajax loader is just keep on moving and ...
Hitesh Balpande's user avatar
1 vote
1 answer
98 views

How to Upgrade Magento 2.1.5 to latest version using via composer

I have installed my previous Magento 2.1.5 years ago by downloading , Now I want to upgrade to 2.3.2 using the composer. Can I directly do that. What issues may occur ?
Raju Potharaju's user avatar
1 vote
3 answers
6k views

Magento 2 Cloud version upgrade issue

I am upgrading Magento version 2.2.7 to 2.2.9 I used the following commands on local setup $ composer require "magento/magento-cloud-metapackage":"2.2.9" --no-update $ composer ...
Ram singh's user avatar
  • 121
0 votes
3 answers
434 views

How to Upgrade magento version from 2.3.x to 2.3.x [Enterprise Edition]

How to Upgrade magento version from 2.3.x to 2.3.x [Enterprise Edition] Steps to successfully update Magento 2.3.x to 2.3.x [EE]
Roshan Rakesh Yadav's user avatar
0 votes
4 answers
4k views

Magento2.3.5-P1 - Fatal Error: 'Cannot declare class Zend_Http_Client, because the name is already in use

After upgrading to Magento 2.3.5-P1, I start getting below error. Any help would be appreciated! {"messages":{"error":[{"code":500,"message":"Fatal Error: 'Cannot declare class Zend_Http_Client, ...
Abhishek Panchal's user avatar
0 votes
0 answers
43 views

DI compile step keeps failing after upgrading from 2.3.3 to 2.3.5 via composer. [Magento 2 EE]

The error is the same every time I've tried, which is: PHP Fatal error: Declaration of Magento\PageBuilder\Model\Dom\NodeList::item($index) : ?Magento\PageBuilder\Model\Dom\Adapter\ElementInterface ...
Roshan Rakesh Yadav's user avatar
0 votes
0 answers
334 views

Magento 2.3.5: The content security policy related notices in the browser console after Magento upgrade to 2.3.5

Upgrading to 2.3.5 has lead to hundreds of notices in the front end as seen in the screenshot below. The devdoc explaining the CSP isn't detailed enough to find a solution to this. Can anyone show ...
CodeForGood's user avatar